Discovery.c File Reference

UpnpDiscovery object implementation. More...

`#include "config.h"`
`#include "Discovery.h"`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for Discovery.c:

## Data Structures

struct | SUpnpDiscovery

## Functions

UpnpDiscovery * | UpnpDiscovery_new ()
void | UpnpDiscovery_delete (UpnpDiscovery *p)
UpnpDiscovery * | UpnpDiscovery_dup (const UpnpDiscovery *p)
void | UpnpDiscovery_assign (UpnpDiscovery *p, const UpnpDiscovery *q)
int | UpnpDiscovery_get_ErrCode (const UpnpDiscovery *p)
void | UpnpDiscovery_set_ErrCode (UpnpDiscovery *p, int n)
int | UpnpDiscovery_get_Expires (const UpnpDiscovery *p)
void | UpnpDiscovery_set_Expires (UpnpDiscovery *p, int n)
const UpnpString * | UpnpDiscovery_get_DeviceID (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_DeviceID_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_DeviceID (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_DeviceID (UpnpDiscovery *p, const char *s)
const UpnpString * | UpnpDiscovery_get_DeviceType (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_DeviceType_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_DeviceType (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_DeviceType (UpnpDiscovery *p, const char *s)
const UpnpString * | UpnpDiscovery_get_ServiceType (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_ServiceType_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_ServiceType (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_ServiceType (UpnpDiscovery *p, const char *s)
const UpnpString * | UpnpDiscovery_get_ServiceVer (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_ServiceVer_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_ServiceVer (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_ServiceVer (UpnpDiscovery *p, const char *s)
const UpnpString * | UpnpDiscovery_get_Location (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Location_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_Location (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_Location (UpnpDiscovery *p, const char *s)
void | UpnpDiscovery_strncpy_Location (UpnpDiscovery *p, const char *s, int n)
const UpnpString * | UpnpDiscovery_get_Os (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Os_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_Os (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_Os (UpnpDiscovery *p, const char *s)
void | UpnpDiscovery_strncpy_Os (UpnpDiscovery *p, const char *s, int n)
const UpnpString * | UpnpDiscovery_get_Date (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Date_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_Date (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_Date (UpnpDiscovery *p, const char *s)
const UpnpString * | UpnpDiscovery_get_Ext (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Ext_cstr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_Ext (UpnpDiscovery *p, const UpnpString *s)
void | UpnpDiscovery_strcpy_Ext (UpnpDiscovery *p, const char *s)
void | UpnpDiscovery_strncpy_Ext (UpnpDiscovery *p, const char *s, int n)
struct sockaddr * | UpnpDiscovery_get_DestAddr (const UpnpDiscovery *p)
void | UpnpDiscovery_set_DestAddr (UpnpDiscovery *p, const struct sockaddr *sa)

## Detailed Description

UpnpDiscovery object implementation.

Author
  Marcelo Roberto Jimenez

## Function Documentation

void UpnpDiscovery_assign | ( | UpnpDiscovery * | p,
|  | const UpnpDiscovery * | q
| ) |  |

Assignment operator

References UpnpDiscovery_get_Date(), UpnpDiscovery_get_DestAddr(), UpnpDiscovery_get_DeviceID(), UpnpDiscovery_get_DeviceType(), UpnpDiscovery_get_ErrCode(), UpnpDiscovery_get_Expires(), UpnpDiscovery_get_Ext(), UpnpDiscovery_get_Location(), UpnpDiscovery_get_Os(), UpnpDiscovery_get_ServiceType(), and UpnpDiscovery_get_ServiceVer().

Referenced by UpnpDiscovery_dup().

void UpnpDiscovery_delete | ( | UpnpDiscovery * | p | ) |

Destructor

References UpnpString_delete().

UpnpDiscovery* UpnpDiscovery_dup | ( | const UpnpDiscovery * | p | ) |

Copy Constructor

References UpnpDiscovery_assign(), and UpnpDiscovery_new().

const UpnpString* UpnpDiscovery_get_Date | ( | const UpnpDiscovery * | p | ) |

Date when the response was generated.

Referenced by UpnpDiscovery_assign().

struct sockaddr* UpnpDiscovery_get_DestAddr | ( | const UpnpDiscovery * | p | ) |

read

The host address of the device responding to the search.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_DeviceID | ( | const UpnpDiscovery * | p | ) |

The unique device identifier.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_DeviceType | ( | const UpnpDiscovery * | p | ) |

The device type.

Referenced by UpnpDiscovery_assign().

int UpnpDiscovery_get_ErrCode | ( | const UpnpDiscovery * | p | ) |

The result code of the UpnpSearchAsync call.

Referenced by UpnpDiscovery_assign().

int UpnpDiscovery_get_Expires | ( | const UpnpDiscovery * | p | ) |

The expiration time of the advertisement.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_Ext | ( | const UpnpDiscovery * | p | ) |

Confirmation that the MAN header was understood by the device.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_Location | ( | const UpnpDiscovery * | p | ) |

The URL to the UPnP description document for the device.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_Os | ( | const UpnpDiscovery * | p | ) |

The operating system the device is running.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_ServiceType | ( | const UpnpDiscovery * | p | ) |

The ServiceType.

Referenced by UpnpDiscovery_assign().

const UpnpString* UpnpDiscovery_get_ServiceVer | ( | const UpnpDiscovery * | p | ) |

The service version.

Referenced by UpnpDiscovery_assign().

UpnpDiscovery* UpnpDiscovery_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by UpnpDiscovery_dup().